: Class GetMailException

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ## TsBiff 1.3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ts.mail
Class GetMailException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--ts.mail.GetMailException

All Implemented Interfaces:
  java.io.Serializable

public class GetMailException
extends java.lang.Exception

Thrown to indicate that there is an error in the underlying protocol, such as a POP3 error.

Version:
  $Id: GetMailException.java,v 1.4 1999/02/21 08:47:13 hauk Exp $
Author:
  Jan-Henrik Haukeland <hauk@tildeslash.com>
See Also:
  Serialized Form

Field Summary
`static int` | `ERROR`
`static int` | `FATAL`
`static int` | `OK`
`static int` | `WARNING`

Constructor Summary
`GetMailException(int status, java.lang.String message)` Store status and message.
`GetMailException(int status, java.lang.String message, MailModel aMail)` Store status, message and the mail that was processed.

Method Summary
`MailModel` | `getMail()`
`int` | `getStatus()`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, printStackTrace, printStackTrace, printStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### OK

    public static final int OK

### WARNING

    public static final int WARNING

### ERROR

    public static final int ERROR

### FATAL

    public static final int FATAL

Constructor Detail

### GetMailException

    public GetMailException(int status,
                            java.lang.String message)

  Store status and message. Legal values for status are public constants in this class.

### GetMailException

    public GetMailException(int status,
                            java.lang.String message,
                            MailModel aMail)

  Store status, message and the mail that was processed.

Method Detail

### getStatus

    public int getStatus()

  Returns:
    status.

### getMail

    public MailModel getMail()

  Returns:
    mail

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ## TsBiff 1.3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD